Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040375
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-13 17:502019-03-21 10:28
ReporterLeyreView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision4500731e8876
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040375: Incorrectly defined 'selectMultiOrders' function

DescriptionIncorrectly defined 'selectMultiOrders' function
Steps To Reproduce1. Open pointofSale.js

2. selectMultiOrders: function (inSender, inEvent) {

     ....

     if (inEvent.callback()) {
        inEvent.callback();
      }

3. Correct?:

     if (inEvent.callback) {
        inEvent.callback();
      }
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110435)
hgbot (developer)
2019-03-14 12:00

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4500731e8876c5f55c54c8bfbab0c54e1ce73e63
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Mar 14 16:29:49 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4500731e8876c5f55c54c8bfbab0c54e1ce73e63 [^]

Fixed issue 40375 : Validate callback in PostMultiOrder hook

* Removed wrong code in PostMultiOrder hook.
  Instead of validating the callback in if condition, it was calling the callback

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0110534)
jorge-garcia (developer)
2019-03-21 10:28

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-03-13 17:50 Leyre New Issue
2019-03-13 17:50 Leyre Assigned To => Retail
2019-03-13 17:50 Leyre Triggers an Emergency Pack => No
2019-03-13 21:01 jfrances Issue Monitored: jfrances
2019-03-14 07:48 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-14 07:48 ranjith_qualiantech_com Status new => scheduled
2019-03-14 12:00 hgbot Checkin
2019-03-14 12:00 hgbot Note Added: 0110435
2019-03-14 12:00 hgbot Status scheduled => resolved
2019-03-14 12:00 hgbot Resolution open => fixed
2019-03-14 12:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4500731e8876c5f55c54c8bfbab0c54e1ce73e63 [^]
2019-03-21 10:28 jorge-garcia Review Assigned To => jorge-garcia
2019-03-21 10:28 jorge-garcia Note Added: 0110534
2019-03-21 10:28 jorge-garcia Status resolved => closed
2019-03-21 10:28 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker